<script type="text/javascript">
    RED.nodes.registerType('keybase-bot', {
        category: 'config',
        defaults: {
            botlabel: { value: "My Bot", required: true },
        },
        credentials: {
            username: { type: "text" },
            paperkey: { type: "password" }
        },
        label: function () {
            return this.botlabel;
        }
    });
</script>

<script type="text/html" data-template-name="keybase-bot">
    <div class="form-row">
        <label for="node-config-input-botlabel"><i class="icon-bookmark"></i> Label</label>
        <input type="text" id="node-config-input-botlabel" placeholder="user readable bot label">
    </div>
    <div class="form-row">
        <label for="node-config-input-username"><i class="icon-bookmark"></i> Username</label>
        <input type="text" id="node-config-input-username" placeholder="the bot account name">
    </div>
    <div class="form-row">
        <label for="node-config-input-paperkey"><i class="icon-bookmark"></i> Paperkey</label>
        <input type="text" id="node-config-input-paperkey" placeholder="the bot account paper key">
    </div>
</script>